SDL_GL_SetAttribute(3)

NAME
SDL_GL_SetAttribute - Set an OpenGL window attribute before window creation.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GL_SetAttribute(SDL_GLattr attr, int value);

DESCRIPTION
This function sets the OpenGL attribute attr to value . The requested attributes should be set before creating an OpenGL window. You should use SDL_GL_GetAttribute () to check the values after creating the OpenGL context, since the values obtained can differ from the requested ones.

FUNCTION PARAMETERS

attr
    an SDL_GLattr
     enum value specifying the OpenGL attribute to set

value
    the desired value for the attribute

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GL_GetAttribute(3), SDL_GL_ResetAttributes(3)